Package com.gpudb.protocol
Class InsertRecordsFromPayloadRequest.CreateTableOptions
java.lang.Object
com.gpudb.protocol.InsertRecordsFromPayloadRequest.CreateTableOptions
Enclosing class:
A set of string constants for the
InsertRecordsFromPayloadRequest parameter createTableOptions.
Options used when creating the target table. Includes type to use. The other options match those in GPUdb.createTable.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIndicates the target maximum data size for each column in a chunk to be used for this table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for this table.static final StringIndicates the number of records per chunk to be used for this table.static final StringThe default compression codec for this table’s columns.static final Stringstatic final StringSemicolon-separated list of foreign keys, of the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …])static final StringForeign shard key of the format ‘source_column references shard_by_column from target_table(primary_key_column)‘.static final StringUse hash partitioning.static final Stringstatic final StringIfTRUE, a new partition will be created for values which don’t fall into an existing partition.static final StringAffects the distribution scheme for the table’s data.static final StringIndicates whether the table is a memory-only table.static final StringUse list partitioning.static final StringIfTRUE, prevents an error from occurring if the table already exists and is of the given type.static final StringComma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE.static final StringComma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.static final StringPartitioning scheme to use.static final StringUse range partitioning.static final StringUse series partitioning.static final StringThe tier strategy for the table and its columns.static final Stringstatic final Stringstatic final StringID of a currently registered type.
Field Details
IS_REPLICATED
Affects the distribution scheme for the table’s data. IfTRUEand the given type has no explicit shard key defined, the table will be replicated. IfFALSE, the table will be sharded according to the shard key specified in the givenTYPE_ID, or randomly sharded, if no shard key is specified. Note that a type containing a shard key cannot be used to create a replicated table. Supported values:The default value isFALSE.See Also:FOREIGN_KEYS
Semicolon-separated list of foreign keys, of the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …]) [as foreign_key_name]’.See Also:PARTITION_TYPE
Partitioning scheme to use. Supported values:RANGE: Use range partitioning.INTERVAL: Use interval partitioning.LIST: Use list partitioning.HASH: Use hash partitioning.SERIES: Use series partitioning.
See Also:PARTITION_KEYS
Comma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.See Also:PARTITION_DEFINITIONS
Comma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE. See range partitioning, interval partitioning, list partitioning, hash partitioning, or series partitioning for example formats.See Also:IS_RESULT_TABLE
Indicates whether the table is a memory-only table. A result table cannot contain columns with text_search data-handling, and it will not be retained if the server is restarted. Supported values:The default value isFALSE.See Also: